Wireshark-dev: Re: [Wireshark-dev] Wireshark no longer builds on SuSE 11.3
From: Peter Wu <[email protected]>
Date: Tue, 14 Feb 2017 16:28:37 +0100
On Tue, Feb 14, 2017 at 09:25:27AM -0500, Jeff Morriss wrote:
> Wireshark hasn't compiled on RHEL 5 for a while anyway...  Or at least the
> UI hasn't.

The GTK+ and Qt4 versions requirements are too high for RHEL5.

> On Tue, Feb 14, 2017 at 7:47 AM, Roland Knall <[email protected]> wrote:
> 
> > I was hoping to say, let's drop SuSE 11.3, as SuSE 11.4 has glib version
> > 2.28, which includes the function. Also ReadHat 5 drops support by the end
> > of next month. But SLES still supports it until 2019.

Where did you find SLES 11.4 support for GLib 2.28? I only see 2.22.5
for SLES 11.3 and the release notes do not mention newer versions:
https://www.suse.com/releasenotes/x86_64/SUSE-SLES/11-SP4/
SLED (for desktop) 11.4 was unsupported since 31 March 2016 according to
https://www.suse.com/lifecycle/.

Looking at our great wiki page with all versions, upping the minimum
GLib requirement to 2.28 should work (RHEL6 provides 2.28.8). Last year
the upgrade was postponed, but we can revisit it again :)

If upgrading to SLES 12 is an option, that would provide GLib 2.38.2.
Additionally, if you are doing decryption (WPA2 with AES-CCMP, TLS,
etc.), then you will also benefit from the newer Libgcrypt 1.6.1 in SLES
12 (compared to Libgcrypt 1.4.1 in SLES 11).

Kind regards,
Peter

> > As for the convenience method, I would not provide a compatibility header,
> > as this would require additional checks and defines. Just hardcode the
> > functionality in this case, although it seems to be a burden. An utility
> > function which masks the compatibility could also be a possible solution.
> > In extcap I came across this issue quite some time, and most of the time I
> > ended up hardcoding the functionality.
> >
> > regards
> > Roland
> >
> > On Tue, Feb 14, 2017 at 1:28 PM, Peter Wu <[email protected]> wrote:
> >
> >> On Tue, Feb 14, 2017 at 12:14:24PM +0000, Anders Broman wrote:
> >> > Hi,
> >> > Wireshark no longer builds on SuSE 11.3
> >> >
> >> > home/ericsson/ewireshark/trunk/filter_files.c:104: undefined reference
> >> to `g_list_free_full'
> >> > /home/ericsson/ewireshark/trunk/filter_files.c:105: undefined
> >> reference to `g_list_free_full'
> >> > /home/ericsson/ewireshark/trunk/filter_files.c:106: undefined
> >> reference to `g_list_free_full'
> >> > /home/ericsson/ewireshark/trunk/filter_files.c:107: undefined
> >> reference to `g_list_free_full'
> >> > ui/gtk/libgtkui.a(dfilter_expr_dlg.o): In function `value_list_sel_cb':
> >> > /home/ericsson/ewireshark/trunk/ui/gtk/dfilter_expr_dlg.c:625:
> >> undefined reference to `g_list_free_full'
> >>
> >> This function is very useful and open-coded many times, should we
> >> provide a compatibility header for older GLib?
> >> --
> >> Kind regards,
> >> Peter Wu
> >> https://lekensteyn.nl